Bug 11206 - python-OpenSSL - hostname check bypassing vulnerability (CVE-2013-4314)
: python-OpenSSL - hostname check bypassing vulnerability (CVE-2013-4314)
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 3
: i586 Linux
: Normal Severity: major
: ---
Assigned To: QA Team
: Sec team
: http://lwn.net/Vulnerabilities/566722/
: MGA2TOO MGA3-64-OK MGA3-32-OK MGA2-64...
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-09-09 17:21 CEST by Oden Eriksson
Modified: 2014-05-08 18:04 CEST (History)
3 users (show)

See Also:
Source RPM: python-OpenSSL
CVE:


Attachments
Script for testing https connection. (202 bytes, text/plain)
2013-09-11 01:18 CEST, Dave Hodgins
Details

Description Oden Eriksson 2013-09-09 17:21:48 CEST
https://bugzilla.redhat.com/show_bug.cgi?id=1005325

" Vincent Danen 2013-09-06 12:24:39 EDT

The pyOpenSSL module implements hostname identity checks but it did not properly handle hostnames in the certificate that contain null bytes.  In all releases prior to 0.13.1, the string formatting of subjectAltName X509Extension instances incorrectly truncated fields of the name when encountering the null byte.

When a CA than an SSL client trusts issues a server certificate that has a null byte in the subjectAltName, remote attackers can obtain a certifcate for 'www.foo.org\0.example.com' from the CA to spoof 'www.foo.org' and conduct man-in-the-middle attacks between the pyOpenSSL-using client and SSL servers.

[1] https://mail.python.org/pipermail/pyopenssl-users/2013-September/000478.html"

Reproducible: 

Steps to Reproduce:
Comment 1 Oden Eriksson 2013-09-09 17:22:55 CEST
python-OpenSSL-0.12-1.1.mga2, python-OpenSSL-0.13-2.1.mga3 and python-OpenSSL-0.13.1-1.mga4 has been submitted where this is fixed.
Comment 2 David Walser 2013-09-09 19:15:58 CEST
Advisory:
========================

Updated python-OpenSSL package fixes security vulnerability:

The string formatting of subjectAltName X509Extension instances in pyOpenSSL
before 0.13.1 incorrectly truncated fields of the name when encountering a
null byte, possibly allowing man-in-the-middle attacks through certificate
spoofing (CVE-2013-4314).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-4314
https://mail.python.org/pipermail/pyopenssl-users/2013-September/000478.html
https://bugzilla.redhat.com/show_bug.cgi?id=1005325
========================

Updated packages in core/updates_testing:
========================
python-OpenSSL-0.12-1.1.mga2
python-OpenSSL-0.13-2.1.mga3

from SRPMS:
python-OpenSSL-0.12-1.1.mga2.src.rpm
python-OpenSSL-0.13-2.1.mga3.src.rpm
Comment 3 Dave Hodgins 2013-09-11 01:18:07 CEST
Created attachment 4345 [details]
Script for testing https connection.
Comment 4 Dave Hodgins 2013-09-11 01:27:55 CEST
Testing complete m2 and m3, both arches.

Advisory 11206.adv committed to svn.

Someone from the sysadmin team please push 11206.adv to updates.
Comment 5 David Walser 2013-09-13 18:05:50 CEST
Mandriva has issued an advisory for this today (September 13):
http://www.mandriva.com/en/support/security/advisories/mbs1/MDVSA-2013:233/
Comment 6 Nicolas Vigier 2013-09-13 22:22:30 CEST
http://advisories.mageia.org/MGASA-2013-0277.html

Note You need to log in before you can comment on or make changes to this bug.